package cn.ezhizao.project.business.product.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.product.domain.BizProduct;

/**
 * 产品管理Mapper接口
 *
 * @author ezhizao
 * @date 2023-11-13
 */
public interface BizProductMapper extends BaseMapper<BizProduct>
{
    /**
     * 查询产品管理列表
     *
     * @param bizProduct 产品管理
     * @return 产品管理集合
     */
    public List<BizProduct> getList(BizProduct bizProduct);

    public List<BizProduct> getProductsForSupplier(BizProduct bizProduct);

    public List<BizProduct> getProductsForOutsource(BizProduct bizProduct);

    /**
     * 物理删除
     * @param bizProduct 待删除项
     * @return 删除结果
    */
    public int physicalDelete(BizProduct bizProduct);

    public int getProcuctDrawing(BizProduct bizProduct);
}
